<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Ywalarmrulelinksmsbean" type="cn.vp.XXX.model.YwalarmrulelinksmsBean"/> -->	<typeAlias alias="Ywalarmrulelinksms" type="cn.im.ywgl.YwalarmrulelinksmsBean"/>
	
	<sql id="condition_Ywalarmrulelinksms">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKElinksmsid'>
			(linksmsid like '%$LIKElinksmsid$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='linksmsid'>
			(linksmsid = #linksmsid#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEalarmruleid'>
			(alarmruleid like '%$LIKEalarmruleid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='alarmruleid'>
			(alarmruleid = #alarmruleid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEphonenum'>
			(phonenum like '%$LIKEphonenum$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='phonenum'>
			(phonenum = #phonenum# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsmscontent'>
			(smscontent like '%$LIKEsmscontent$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='smscontent'>
			(smscontent = #smscontent# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcreateaccount'>
			(createaccount like '%$LIKEcreateaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='createaccount'>
			(createaccount = #createaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcreatetime'>
			(createtime like '%$LIKEcreatetime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='createtime'>
			(createtime = #createtime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmodifyaccount'>
			(modifyaccount like '%$LIKEmodifyaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='modifyaccount'>
			(modifyaccount = #modifyaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmodifytime'>
			(modifytime like '%$LIKEmodifytime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='modifytime'>
			(modifytime = #modifytime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEremarks'>
			(remarks like '%$LIKEremarks$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='remarks'>
			(remarks = #remarks# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend1'>
			(extend1 like '%$LIKEextend1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend1'>
			(extend1 = #extend1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend2'>
			(extend2 like '%$LIKEextend2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend2'>
			(extend2 = #extend2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend3'>
			(extend3 like '%$LIKEextend3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend3'>
			(extend3 = #extend3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend4'>
			(extend4 like '%$LIKEextend4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend4'>
			(extend4 = #extend4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Ywalarmrulelinksms" parameterClass="java.util.Map">
		insert into 
		ywalarmrulelinksms(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='linksmsid'>linksmsid</isNotEmpty>
			<isNotEmpty prepend=',' property='alarmruleid'>alarmruleid</isNotEmpty>
			<isNotEmpty prepend=',' property='phonenum'>phonenum</isNotEmpty>
			<isNotEmpty prepend=',' property='smscontent'>smscontent</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='linksmsid'>#linksmsid#</isNotEmpty>
			<isNotEmpty prepend=',' property='alarmruleid'>#alarmruleid#</isNotEmpty>
			<isNotEmpty prepend=',' property='phonenum'>#phonenum#</isNotEmpty>
			<isNotEmpty prepend=',' property='smscontent'>#smscontent#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>#extend4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Ywalarmrulelinksms" parameterClass="java.util.Map">
		update ywalarmrulelinksms 
		<dynamic prepend="set ">
			<isNotEmpty prepend=',' property='alarmruleid'>alarmruleid=#alarmruleid#</isNotEmpty>
			<isNotEmpty prepend=',' property='phonenum'>phonenum=#phonenum#</isNotEmpty>
			<isNotEmpty prepend=',' property='smscontent'>smscontent=#smscontent#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount=#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime=#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount=#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime=#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks=#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1=#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2=#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3=#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4=#extend4#</isNotEmpty>

		</dynamic>
		where linksmsid = #XGTJlinksmsid#
			<isNotEmpty prepend='AND ' property='XGTJalarmruleid'> alarmruleid = #XGTJalarmruleid# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJphonenum'> phonenum = #XGTJphonenum# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJsmscontent'> smscontent = #XGTJsmscontent# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcreateaccount'> createaccount = #XGTJcreateaccount# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcreatetime'> createtime = #XGTJcreatetime# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmodifyaccount'> modifyaccount = #XGTJmodifyaccount# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmodifytime'> modifytime = #XGTJmodifytime# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJremarks'> remarks = #XGTJremarks# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend1'> extend1 = #XGTJextend1# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend2'> extend2 = #XGTJextend2# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend3'> extend3 = #XGTJextend3# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend4'> extend4 = #XGTJextend4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Ywalarmrulelinksms" parameterClass="java.util.Map">
		delete from ywalarmrulelinksms where (linksmsid = #linksmsid#  )
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Ywalarmrulelinksms" parameterClass="java.util.Map">
		delete from ywalarmrulelinksms 
		where key  in (#keyword#)
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Ywalarmrulelinksms" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			linksmsid,alarmruleid,phonenum,smscontent,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
		from ywalarmrulelinksms 
		<include refid="condition_Ywalarmrulelinksms"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Ywalarmrulelinksms" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from ywalarmrulelinksms 
		<include refid="condition_Ywalarmrulelinksms"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Ywalarmrulelinksms" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into ywalarmrulelinksms(
			 <![CDATA[ 
				linksmsid,alarmruleid,phonenum,smscontent,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].linksmsid#,#list[].alarmruleid#,#list[].phonenum#,#list[].smscontent#,#list[].createaccount#,#list[].createtime#,#list[].modifyaccount#,#list[].modifytime#,#list[].remarks#,#list[].extend1#,#list[].extend2#,#list[].extend3#,#list[].extend4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











